> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/objects/get-pipeline-scan-settings-response.md).

# getPipelineScanSettingsResponse

Aggregated pipeline scan settings for the requested applications.

### Examples

```graphql
type GetPipelineScanSettingsResponse {
  timeout: [NumericSettingResponse!]!
  failOnTimeout: BooleanSettingResponse!
  failOnError: BooleanSettingResponse!
  performance: [ScanTypeSettingResponse!]!
  scanSummaryShowSuccess: BooleanSettingResponse!
  scansEnabled: BooleanSettingResponse!
  scanSummaryAsCommentEnabled: BooleanSettingResponse!
  eventsTriggeringScansForBranches: [EventsTriggeringScansForBranchesSettingResponse!]!
  scansEnabledForBitbucketApp: BooleanSettingResponse!
  scanSummaryAsCommentEnabledForBitbucketApp: BooleanSettingResponse!
  eventsTriggeringScansForBranchesForBitbucketApp: [EventsTriggeringScansForBranchesSettingResponse!]!
  scansEnabledForGitLabWebhooks: BooleanSettingResponse!
  eventsTriggeringScansForBranchesForGitLabWebhooks: [EventsTriggeringScansForBranchesSettingResponse!]!
}
```

### Fields

| Field                                                                                                                                                                                                                            | Description                                                                                                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| timeout [`[NumericSettingResponse!]!`](/api-documentation/api-reference/api--pipeline/types/objects/numeric-setting-response.md)                                                                                                 | General Setting. Scan timeout value in minutes                                                                            | <p>option <code>Float!</code><br>count <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                         |
| failOnTimeout [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                              | General Setting. Whether or not a scan timeout causes a scan to fail (block)                                              | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| failOnError [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                                | General Setting. Whether or not an error (i.e. network, infrastructure) causes a scan to fail (block)                     | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| performance [`[ScanTypeSettingResponse!]!`](/api-documentation/api-reference/api--pipeline/types/objects/scan-type-setting-response.md)                                                                                          | General Setting. Scan speed                                                                                               | <p>type <code>String!</code><br>count <code>Float!</code><br>tooltip <code>String!</code></p>                                                                                                                                                                                                                                                                                                                          |
| scanSummaryShowSuccess [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                     | General Setting. When enabled, a comment is also posted when the scan finds no issues.                                    | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| scansEnabled [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                               | GitHub App Setting. Whether or not GitHub Checks should be run for the repository (application)                           | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| scanSummaryAsCommentEnabled [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                | GitHub App Setting. Whether or not GitHub Checks results should be published in a pull request comments                   | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| eventsTriggeringScansForBranches [`[EventsTriggeringScansForBranchesSettingResponse!]!`](/api-documentation/api-reference/api--pipeline/types/objects/events-triggering-scans-for-branches-setting-response.md)                  | GitHub App Setting. Which events for which branches should trigger GitHub Checks                                          | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/objects/triggering-event-response.md"><code>\[TriggeringEventResponse!]!</code></a></p> |
| scansEnabledForBitbucketApp [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                                | Bitbucket App Setting. Whether or not scans should be run and reported to Bitbucket APIs for the repository (application) | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| scanSummaryAsCommentEnabledForBitbucketApp [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                 | Bitbucket App Setting. Whether or not scan results should be published in a pull request comment                          | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| eventsTriggeringScansForBranchesForBitbucketApp [`[EventsTriggeringScansForBranchesSettingResponse!]!`](/api-documentation/api-reference/api--pipeline/types/objects/events-triggering-scans-for-branches-setting-response.md)   | Bitbucket App Setting. Which events for which branches should trigger scans                                               | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/objects/triggering-event-response.md"><code>\[TriggeringEventResponse!]!</code></a></p> |
| scansEnabledForGitLabWebhooks [`BooleanSettingResponse!`](/api-documentation/api-reference/api--pipeline/types/objects/boolean-setting-response.md)                                                                              | GitLab Webhooks Setting. Whether or not scans should be run and reported to GitLab APIs for the project (application)     | <p>true <code>Float!</code><br>false <code>Float!</code></p>                                                                                                                                                                                                                                                                                                                                                           |
| eventsTriggeringScansForBranchesForGitLabWebhooks [`[EventsTriggeringScansForBranchesSettingResponse!]!`](/api-documentation/api-reference/api--pipeline/types/objects/events-triggering-scans-for-branches-setting-response.md) | GitLab Webhooks Setting. Which events for which branches should trigger scans                                             | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/objects/triggering-event-response.md"><code>\[TriggeringEventResponse!]!</code></a></p> |

### References

#### Queries using this object:

* [\<?> getPipelineScanSettings](/api-documentation/api-reference/api--pipeline/queries/get-pipeline-scan-settings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/objects/get-pipeline-scan-settings-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
